<?php
/**
 * 
 * This is the template for displaying Comments.
 * 
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area jumbotron ">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
		?>
		<h2 class="comments-title">
			<?php
			$comment_count = get_comments_number();
			if ( '1' === $comment_count ) {
				printf(
					/* translators: 1: title. */
					esc_html__( 'One thought on &ldquo;%1$s&rdquo;', 'simple-blogger' ),
					'<span>' . wp_kses_post( get_the_title() ) . '</span>'
				);
			} else {
				printf( 
					/* translators: 1: comment count number, 2: title. */
					esc_html( _nx( '%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', $comment_count, 'comments title', 'simple-blogger' ) ),
					number_format_i18n( $comment_count ), 
					'<span>' . wp_kses_post( get_the_title() ) . '</span>'
				); 
			} 
			
			
			?>
	<hr>
	</h2><!-- .comments-title -->
	
		

        
        
		
<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	
        <nav class="navigation comment-navigation" role="navigation">
        <h2 class="screen-reader-text "><?php _e( 'Comment navigation', 'simple-blogger' ); ?></h2>
		<div class="nav-links clearfix">
		<div class="nav-previous pull-left"><?php previous_comments_link( __( '&larr; Older Comments', 'simple-blogger' ) ); ?></div>
		<div class="nav-next pull-right"><?php next_comments_link( __( 'Newer Comments &rarr;', 'simple-blogger' ) ); ?></div>
		</div> 
		<hr>
	</nav><!-- .comment-navigation -->
	
<?php endif; // Check for comment navigation ?>
	
	
	
	
		<ol class="comment-list">
			<?php wp_list_comments('type=all&callback=simpleblogger_comment_callback'); ?>  
		</ol><!-- .comment-list -->

		
		
	  	<?php   paginate_comments_links(array(
	'prev_text' =>'<i class="fa fa-arrow-left"></i>' ,
        'next_text' => '<i class="fa fa-arrow-right"></i>',
)); ?>
	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) :
			?>
	        			 
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'simple-blogger' ); ?></p>
	        		 
			<?php
		endif;

	endif; // Check for have_comments().
	

	comment_form(simpleblogger_custom_comment_form());
	?>

</div><!-- #comments -->
