<?php
/**
 *
 * Simple Blogger Theme Customizer
 *
 */

function simpleblogger_customize_register($wp_customize)
 {

    $wp_customize->add_section('footer_message', array(
        'title' => __('Copyright Message', 'simple-blogger') ,
        'priority' => 200
    ));

    $wp_customize->add_setting('footer_copyright_text', array(
        'default' => 'All Rights Reserved',
        'sanitize_callback' => 'simpleblogger_sanitize_copyright_message',
        'transport' => 'postMessage'
    ));

    function simpleblogger_sanitize_copyright_message($input)
    {
        return strip_tags(stripslashes($input));
    }

    $wp_customize->add_control('footer_copyright_text', array(
        'section' => 'footer_message',
        'label' => 'Copyright Message',
        'type' => 'text'
    ));

    $wp_customize->add_setting("border_color", 
							   ["default" => "#1e73be",
							    "transport" => "refresh",
								"sanitize_callback" => "sanitize_hex_color",
							   ]);
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, "border_color", 
							  ["section" => "colors",
							   "label" => esc_html__("Border Color", "simple-blogger") , 
							  ]));
}
add_action("customize_register", "simpleblogger_customize_register");

function simpleblogger_set_border_color_css()
{
    ob_start();
    $border_color = get_theme_mod("border_color");

    if (!empty($border_color))
    { ?>
     
.jumbotron {
 
   border-color:<?php echo $border_color; ?>;

 
}

      <?php
    }

    $css = ob_get_clean();
    return $css;
}

function simpleblogger_change_theme_color()
{
    wp_enqueue_style("style", get_stylesheet_uri()); 
    $custom_css = simpleblogger_set_border_color_css();
    wp_add_inline_style("style", $custom_css);
}

add_action("wp_enqueue_scripts", "simpleblogger_change_theme_color");

function simpleblogger_customizer_live_preview()
{

    wp_enqueue_script('simpleblogger-theme-customizer', get_template_directory_uri() . '/js/theme-customizer.js', array(
        'jquery',
        'customize-preview'
    ) , '5.8.2', true);

}
add_action('customize_preview_init', 'simpleblogger_customizer_live_preview');

?>
